Linkedin Posts Informations Scraper avatar
Linkedin Posts Informations Scraper
Try for free

3 days trial then $30.00/month - No credit card required now

View all Actors
Linkedin Posts Informations Scraper

Linkedin Posts Informations Scraper

saswave/linkedin-posts-informations-parser
Try for free

3 days trial then $30.00/month - No credit card required now

Scrape linkedin posts from linkedin post search results, url post, company url or people url. Supports advanced linkedin search filters. Extract posts from any linkedin member. Linkedin scraper at scale.

User avatar

Ailix

a month ago

Other try, after put the cookie : 2024-03-14T10:54:30.247Z ACTOR: Pulling Docker image of build bVlaj3g5jJEatJSzg from repository. 2024-03-14T10:54:35.592Z ACTOR: Creating Docker container. 2024-03-14T10:54:36.987Z ACTOR: Starting Docker container. 2024-03-14T10:54:40.212Z INFO Initializing actor... 2024-03-14T10:54:40.213Z INFO System info ({"apify_sdk_version": "1.6.0", "apify_client_version": "1.6.3", "python_version": "3.11.8", "os": "linux"}) 2024-03-14T10:54:40.313Z proxyConfiguration {'useApifyProxy': True, 'apifyProxyGroups': []} 2024-03-14T10:54:40.513Z proxy url http://auto:*********@10.0.88.19:8011 2024-03-14T10:54:48.347Z to parse https://www.linkedin.com/posts/raphael-bloch-_faire-des-vid%C3%A9os-est-un-vrai-challenge-pour-activity-7171791320494100480-xtus 2024-03-14T10:54:51.194Z to parse https://www.linkedin.com/posts/raphael-bloch-_aujourdhui-nous-publions-une-interview-activity-7172848486663573504-y0h_ 2024-03-14T10:54:53.635Z to parse https://www.linkedin.com/posts/raphael-bloch-_la-tokenisation-est-lune-des-martingales-activity-7171408381591732225-pfPW 2024-03-14T10:54:56.123Z to parse https://www.linkedin.com/posts/raphael-bloch-_le-21%C3%A8me-si%C3%A8cle-sera-technologique-ou-ne-activity-7173212110401818624-5Qiu 2024-03-14T10:54:58.618Z to parse https://www.linkedin.com/posts/raphael-bloch-_oui-je-sais-quil-est-un-peu-t%C3%B4t-mais-activity-7173569784301760513-hkz8 2024-03-14T10:55:01.121Z to parse https://www.linkedin.com/posts/raphael-bloch-_le-web3-est-parfois-compliqu%C3%A9-%C3%A0-comprendre-activity-7173345013278449664-LxQV 2024-03-14T10:55:03.803Z to parse https://www.linkedin.com/posts/raphael-bloch-_ce-nest-pas-tous-les-jours-quon-interviewe-activity-7172637132136652800-YYoU 2024-03-14T10:55:06.241Z to parse https://www.linkedin.com/posts/raphael-bloch-_crypto-activity-7171440545423171584-J4rK 2024-03-14T10:55:08.923Z to parse https://www.linkedin.com/posts/raphael-bloch-_cest-ce-que-lon-appelle-avoir-le-sens-du-activity-7173958237455560706-CTXx 2024-03-14T10:55:11.399Z to parse https://www.linkedin.com/posts/raphael-bloch-_le-bitcoin-vient-de-d%C3%A9passer-les-72000-activity-7172945336632496128-2d5K 2024-03-14T10:55:16.690Z to parse https://www.linkedin.com/posts/raphael-bloch-_je-ne-r%C3%A9agis-jamais-%C3%A0-ce-que-mes-confr%C3%A8res-activity-7170323961363296256-jnkZ 2024-03-14T10:55:19.145Z to parse https://www.linkedin.com/posts/raphael-bloch-_crypto-activity-7168885652472729603-3oYr 2024-03-14T10:55:21.482Z to parse https://www.linkedin.com/posts/raphael-bloch-_les-chiffres-de-letf-bitcoin-spot-de-blackrock-activity-7170674415121199105-Hw6w 2024-03-14T10:55:23.980Z to parse https://www.linkedin.com/posts/raphael-bloch-_crypto-blockchain-finance-activity-7168965222337073152-vKKO 2024-03-14T10:55:26.726Z to parse https://www.linkedin.com/posts/raphael-bloch-_la-question-nest-plus-de-savoir-sil-faut-activity-7169237271508905984-zmRj 2024-03-14T10:55:29.522Z to parse https://www.linkedin.com/posts/raphael-bloch-_f%C3%A9vrier-est-le-meilleur-mois-en-termes-dabonnement-activity-7170484341712609283-W4U0 2024-03-14T10:55:31.962Z to parse https://www.linkedin.com/posts/raphael-bloch-_la-une-des-%C3%A9chos-de-ce-matin-est-un-peu-sp%C3%A9ciale-activity-7171095103657226242-AH8A 2024-03-14T10:55:34.525Z to parse https://www.linkedin.com/posts/raphael-bloch-_grosse-information-le-bitcoin-vient-activity-7170352299020640256-ClUb 2024-03-14T10:55:37.008Z to parse https://www.linkedin.com/posts/raphael-bloch-_blockchain-activity-7170115272605966338-NVYu 2024-03-14T10:55:39.452Z to parse https://www.linkedin.com/posts/raphael-bloch-_the-big-whale-est-de-retour-%C3%A0-londres-du-activity-7170729976596418562-tA6W 2024-03-14T10:55:58.322Z Traceback (most recent call last): 2024-03-14T10:55:58.323Z File "/usr/local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 779, in urlopen 2024-03-14T10:55:58.324Z self._prepare_proxy(conn) 2024-03-14T10:55:58.325Z File "/usr/local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 1048, in _prepare_proxy 2024-03-14T10:55:58.325Z conn.connect() 2024-03-14T10:55:58.326Z File "/usr/local/lib/python3.11/site-packages/urllib3/connection.py", line 633, in connect 2024-03-14T10:55:58.326Z self._tunnel() # type: ignore[attr-defined] 2024-03-14T10:55:58.326Z ^^^^^^^^^^^^^^ 2024-03-14T10:55:58.327Z File "/usr/local/lib/python3.11/http/client.py", line 937, in _tunnel 2024-03-14T10:55:58.327Z raise OSError(f"Tunnel connection failed: {code} {message.strip()}") 2024-03-14T10:55:58.328Z OSError: Tunnel connection failed: 594 ECONNREFUSED 2024-03-14T10:55:58.328Z 2024-03-14T10:55:58.329Z The above exception was the direct cause of the following exception: 2024-03-14T10:55:58.329Z 2024-03-14T10:55:58.329Z urllib3.exceptions.ProxyError: ('Unable to connect to proxy', OSError('Tunnel connection failed: 594 ECONNREFUSED')) 2024-03-14T10:55:58.330Z 2024-03-14T10:55:58.330Z The above exception was the direct cause of the following exception: 2024-03-14T10:55:58.331Z 2024-03-14T10:55:58.331Z Traceback (most recent call last): 2024-03-14T10:55:58.331Z File "/usr/local/lib/python3.11/site-packages/requests/adapters.py", line 486, in send 2024-03-14T10:55:58.332Z resp = conn.urlopen( 2024-03-14T10:55:58.332Z ^^^^^^^^^^^^^ 2024-03-14T10:55:58.333Z File "/usr/local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 847, in urlopen 2024-03-14T10:55:58.333Z retries = retries.increment( 2024-03-14T10:55:58.333Z ^^^^^^^^^^^^^^^^^^ 2024-03-14T10:55:58.336Z File "/usr/local/lib/python3.11/site-packages/urllib3/util/retry.py", line 515, in increment 2024-03-14T10:55:58.336Z raise MaxRetryError(_pool, url, reason) from reason # type: ignore[arg-type] 2024-03-14T10:55:58.338Z ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ 2024-03-14T10:55:58.338Z urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='www.linkedin.com', port=443): Max retries exceeded with url: /voyager/api/voyagerFeedUpdateActions/urn:li:fs_updateV2Actions:(urn:li:activity:7167904772094676993,MEMBER_SHARES,EMPTY,-,-) (Caused by ProxyError('Unable to connect to proxy', OSError('Tunnel connection failed: 594 ECONNREFUSED'))) 2024-03-14T10:55:58.339Z 2024-03-14T10:55:58.339Z During handling of the above exception, another exception occurred: 2024-03-14T10:55:58.340Z 2024-03-14T10:55:58.340Z Traceback (most recent call last): 2024-03-14T10:55:58.340Z File "/usr/src/app/src/main.py", line 544, in main 2024-03-14T10:55:58.341Z linkedin = Linkedin(url, headers, cookies, days_since_post, max_posts, proxy_url) 2024-03-14T10:55:58.341Z ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ 2024-03-14T10:55:58.342Z File "/usr/src/app/src/main.py", line 60, in init 2024-03-14T10:55:58.342Z self.build_link_posts(url) 2024-03-14T10:55:58.343Z File "/usr/src/app/src/main.py", line 284, in build_link_posts 2024-03-14T10:55:58.343Z res_action = requests.get(action_url, headers=tmpheaders, cookies=self.cookies, proxies=self.proxies) 2024-03-14T10:55:58.343Z ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ 2024-03-14T10:55:58.344Z File "/usr/local/lib/python3.11/site-packages/requests/api.py", line 73, in get 2024-03-14T10:55:58.344Z return request("get", url, params=params, **kwargs) 2024-03-14T10:55:58.344Z ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ 2024-03-14T10:55:58.345Z File "/usr/local/lib/python3.11/site-packages/requests/api.py", line 59, in request 2024-03-14T10:55:58.345Z return session.request(method=method, url=url, **kwargs) 2024-03-14T10:55:58.346Z ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ 2024-03-14T10:55:58.346Z File "/usr/local/lib/python3.11/site-packages/requests/sessions.py", line 589, in request 2024-03-14T10:55:58.346Z resp = self.send(prep, **send_kwargs) 2024-03-14T10:55:58.347Z ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ 2024-03-14T10:55:58.347Z File "/usr/local/lib/python3.11/site-packages/requests/sessions.py", line 703, in send 2024-03-14T10:55:58.347Z r = adapter.send(request, **kwargs) 2024-03-14T10:55:58.348Z ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ 2024-03-14T10:55:58.348Z File "/usr/local/lib/python3.11/site-packages/requests/adapters.py", line 513, in send 2024-03-14T10:55:58.350Z raise ProxyError(e, request=request) 2024-03-14T10:55:58.350Z requests.exceptions.ProxyError: HTTPSConnectionPool(host='www.linkedin.com', port=443): Max retries exceeded with url: /voyager/api/voyagerFeedUpdateActions/urn:li:fs_updateV2Actions:(urn:li:activity:7167904772094676993,MEMBER_SHARES,EMPTY,-,-) (Caused by ProxyError('Unable to connect to proxy', OSError('Tunnel connection failed: 594 ECONNREFUSED'))) 2024-03-14T10:55:58.351Z 2024-03-14T10:55:58.351Z no results to be saved 2024-03-14T10:55:58.352Z ERROR Actor failed with an exception 2024-03-14T10:55:58.352Z Traceback (most recent call last): 2024-03-14T10:55:58.353Z File "/usr/local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 779, in urlopen 2024-03-14T10:55:58.353Z self._prepare_proxy(conn) 2024-03-14T10:55:58.354Z File "/usr/local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 1048, in _prepare_proxy 2024-03-14T10:55:58.355Z conn.connect() 2024-03-14T10:55:58.355Z File "/usr/local/lib/python3.11/site-packages/urllib3/connection.py", line 633, in connect 2024-03-14T10:55:58.356Z self._tunnel() # type: ignore[attr-defined] 2024-03-14T10:55:58.356Z ^^^^^^^^^^^^^^ 2024-03-14T10:55:58.357Z File "/usr/local/lib/python3.11/http/client.py", line 937, in _tunnel 2024-03-14T10:55:58.357Z raise OSError(f"Tunnel connection failed: {code} {message.strip()}") 2024-03-14T10:55:58.357Z OSError: Tunnel connection failed: 594 ECONNREFUSED 2024-03-14T10:55:58.358Z 2024-03-14T10:55:58.358Z The above exception was the direct cause of the following exception: 2024-03-14T10:55:58.359Z 2024-03-14T10:55:58.359Z urllib3.exceptions.ProxyError: ('Unable to connect to proxy', OSError('Tunnel connection failed: 594 ECONNREFUSED')) 2024-03-14T10:55:58.360Z 2024-03-14T10:55:58.361Z The above exception was the direct cause of the following exception: 2024-03-14T10:55:58.361Z 2024-03-14T10:55:58.362Z Traceback (most recent call last): 2024-03-14T10:55:58.362Z File "/usr/local/lib/python3.11/site-packages/requests/adapters.py", line 486, in send 2024-03-14T10:55:58.363Z resp = conn.urlopen( 2024-03-14T10:55:58.367Z ^^^^^^^^^^^^^ 2024-03-14T10:55:58.368Z File "/usr/local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 847, in urlopen 2024-03-14T10:55:58.368Z retries = retries.increment( 2024-03-14T10:55:58.369Z ^^^^^^^^^^^^^^^^^^ 2024-03-14T10:55:58.370Z File "/usr/local/lib/python3.11/site-packages/urllib3/util/retry.py", line 515, in increment 2024-03-14T10:55:58.370Z raise MaxRetryError(_pool, url, reason) from reason # type: ignore[arg-type] 2024-03-14T10:55:58.371Z ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ 2024-03-14T10:55:58.371Z urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='www.linkedin.com', port=443): Max retries exceeded with url: /voyager/api/voyagerFeedUpdateActions/urn:li:fs_updateV2Actions:(urn:li:activity:7167904772094676993,MEMBER_SHARES,EMPTY,-,-) (Caused by ProxyError('Unable to connect to proxy', OSError('Tunnel connection failed: 594 ECONNREFUSED'))) 2024-03-14T10:55:58.372Z 2024-03-14T10:55:58.373Z During handling of the above exception, another exception occurred: 2024-03-14T10:55:58.373Z 2024-03-14T10:55:58.374Z Traceback (most recent call last): 2024-03-14T10:55:58.374Z File "/usr/src/app/src/main.py", line 544, in main 2024-03-14T10:55:58.375Z linkedin = Linkedin(url, headers, cookies, days_since_post, max_posts, proxy_url) 2024-03-14T10:55:58.376Z ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ 2024-03-14T10:55:58.376Z File "/usr/src/app/src/main.py", line 60, in init 2024-03-14T10:55:58.377Z self.build_link_posts(url) 2024-03-14T10:55:58.377Z File "/usr/src/app/src/main.py", line 284, in build_link_posts 2024-03-14T10:55:58.378Z res_action = requests.get(action_url, headers=tmpheaders, cookies=self.cookies, proxies=self.proxies) 2024-03-14T10:55:58.379Z ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ 2024-03-14T10:55:58.379Z File "/usr/local/lib/python3.11/site-packages/requests/api.py", line 73, in get 2024-03-14T10:55:58.380Z return request("get", url, params=params, **kwargs) 2024-03-14T10:55:58.380Z ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ 2024-03-14T10:55:58.381Z File "/usr/local/lib/python3.11/site-packages/requests/api.py", line 59, in request 2024-03-14T10:55:58.381Z return session.request(method=method, url=url, **kwargs) 2024-03-14T10:55:58.382Z ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ 2024-03-14T10:55:58.382Z File "/usr/local/lib/python3.11/site-packages/requests/sessions.py", line 589, in request 2024-03-14T10:55:58.383Z resp = self.send(prep, **send_kwargs) 2024-03-14T10:55:58.383Z ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ 2024-03-14T10:55:58.384Z File "/usr/local/lib/python3.11/site-packages/requests/sessions.py", line 703, in send 2024-03-14T10:55:58.384Z r = adapter.send(request, **kwargs) 2024-03-14T10:55:58.385Z ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ 2024-03-14T10:55:58.385Z File "/usr/local/lib/python3.11/site-packages/requests/adapters.py", line 513, in send 2024-03-14T10:55:58.386Z raise ProxyError(e, request=request) 2024-03-14T10:55:58.386Z requests.exceptions.ProxyError: HTTPSConnectionPool(host='www.linkedin.com', port=443): Max retries exceeded with url: /voyager/api/voyagerFeedUpdateActions/urn:li:fs_updateV2Actions:(urn:li:activity:7167904772094676993,MEMBER_SHARES,EMPTY,-,-) (Caused by ProxyError('Unable to connect to proxy', OSError('Tunnel connection failed: 594 ECONNREFUSED'))) 2024-03-14T10:55:58.387Z 2024-03-14T10:55:58.387Z During handling of the above exception, another exception occurred: 2024-03-14T10:55:58.388Z 2024-03-14T10:55:58.388Z Traceback (most recent call last): 2024-03-14T10:55:58.389Z File "/usr/src/app/src/main.py", line 550, in main 2024-03-14T10:55:58.389Z raise RaisedException(message='!! An error ocured, will be saving what as been parsed before !!') 2024-03-14T10:55:58.390Z src.main.RaisedException: !! An error ocured, will be saving what as been parsed before !! 2024-03-14T10:55:58.391Z INFO Exiting actor ({"exit_code": 91})

User avatar

First error is because you didn't provide your session cookie with chrome Extension "EditThisCookie"

Second error is related to the proxy you provided. Try without proxy maybe

I can be available if you provide a google meet url

Developer
Maintained by Community
Actor metrics
  • 36 monthly users
  • 52.4% runs succeeded
  • 0.8 days response time
  • Created in Oct 2023
  • Modified 13 days ago